Loading...
Searching...
No Matches
Gudhi::witness_complex::Euclidean_witness_complex< Kernel_ > Class Template Reference
Witness complex

Constructs (weak) witness complex for given sets of witnesses and landmarks in Euclidean space. More...

## Public Member Functions

template<typename LandmarkRange, typename WitnessRange>
| Euclidean_witness_complex (const LandmarkRange &landmarks, const WitnessRange &witnesses)
| Initializes member variables before constructing simplicial complex.
Point_d | get_point (Vertex_handle vertex) const
| Returns the point corresponding to the given vertex.
Public Member Functions inherited from Gudhi::witness_complex::Witness_complex< std::vector< Gudhi::spatial_searching::Kd_tree_search< Kernel_, std::vector< Kernel_::Point_d > >::INS_range > >
bool | create_complex (SimplicialComplexForWitness &complex, double max_alpha_square, std::size_t limit_dimension=std::numeric_limits< std::size_t >::max()) const
| Outputs the (weak) witness complex of relaxation 'max_alpha_square' in a simplicial complex data structure.

## Detailed Description

template<class Kernel_>
class Gudhi::witness_complex::Euclidean_witness_complex< Kernel_ >

Constructs (weak) witness complex for given sets of witnesses and landmarks in Euclidean space.

Template Parameters

  Kernel_ | requires a CGAL::Epick_d class.

Examples
  example_witness_complex_off.cpp, example_witness_complex_sphere.cpp, and weak_witness_persistence.cpp.

## Constructor & Destructor Documentation

## Euclidean_witness_complex()

template<class Kernel_>
template<typename LandmarkRange, typename WitnessRange>

Gudhi::witness_complex::Euclidean_witness_complex< Kernel_ >::Euclidean_witness_complex | ( | const LandmarkRange & | landmarks,
|  | const WitnessRange & | witnesses )

inline

Initializes member variables before constructing simplicial complex.

Records landmarks from the range 'landmarks' into a table internally, as well as witnesses from the range 'witnesses'. Both ranges should have value_type Kernel_::Point_d.

## Member Function Documentation

## get_point()

template<class Kernel_>

Point_d Gudhi::witness_complex::Euclidean_witness_complex< Kernel_ >::get_point | ( | Vertex_handle | vertex | ) | const

inline

Returns the point corresponding to the given vertex.

Parameters

  [in] | vertex | Vertex handle of the point to retrieve.

The documentation for this class was generated from the following file:

- include/gudhi/Euclidean_witness_complex.h